aboutsummaryrefslogtreecommitdiffstats
path: root/community/libwnck3/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/libwnck3/APKBUILD')
-rw-r--r--community/libwnck3/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/community/libwnck3/APKBUILD b/community/libwnck3/APKBUILD
new file mode 100644
index 0000000000..1ba6d994f7
--- /dev/null
+++ b/community/libwnck3/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer:
+# Contributor: Sergey Lukin <sergej.lukin@gmail.com>
+# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=libwnck3
+pkgver=3.20.1
+pkgrel=0
+pkgdesc="Window Navigator Construction Kit"
+url="https://git.gnome.org/browse/libwnck"
+arch="all"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+depends=
+replaces="libwnck"
+depends_dev="glib-dev gtk+3.0-dev libx11-dev pango-dev cairo-dev
+ startup-notification-dev libxres-dev"
+makedepends="$depends_dev intltool"
+source="http://ftp.gnome.org/pub/gnome/sources/libwnck/${pkgver%.*}/libwnck-$pkgver.tar.xz"
+
+_builddir="$srcdir"/libwnck-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="487938d65d4bfae1f2501052b1bd7492 libwnck-3.20.1.tar.xz"
+sha256sums="1cb03716bc477058dfdf3ebfa4f534de3b13b1aa067fcd064d0b7813291cba72 libwnck-3.20.1.tar.xz"
+sha512sums="68e9ec8795a0c54edfb31299f48daed5b8c8aab9462a38fd6336f88c29cb96cff66bf852a6049fc34c28bd6cab2e5e6863a711b0ce726999ca7f8e9b07f0eaf0 libwnck-3.20.1.tar.xz"